<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="net.vtstar.zhongtong.avi.laboratory.mapper.DailyCheckRecordMapper">


    <insert id="insertRecord" parameterType="net.vtstar.zhongtong.avi.laboratory.domain.DailyCheckRecord">
        <selectKey resultType="java.lang.Integer" order="AFTER" keyProperty="id">
            SELECT @@IDENTITY
        </selectKey>
        insert into daily_check_record (type, rev, sheet_no, no, create_by, create_time, record_info)
        values(#{type},#{rev},#{sheetNo},#{no},#{createBy},#{createTime},#{recordInfo})
    </insert>
</mapper>